I just attempted to download the Quicktime upgrade to 6.5.1 and it says I can't because my system is greater than 10.1.5......duh. I am running Panther. <br>*backs slowly away from computer*<br><br>